Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.collection
Interface CollectionInitializer

All Known Implementing Classes:
  BasicCollectionLoader, BatchingCollectionInitializer, CollectionLoader, NamedQueryCollectionInitializer, OneToManyLoader, SubselectCollectionLoader, SubselectOneToManyLoader

    public interface CollectionInitializer

An interface for collection loaders

See Also:
  `BasicCollectionLoader`, `OneToManyLoader`

Method Summary
`void` | `initialize(Serializable id, SessionImplementor session)` Initialize the given collection

Method Detail

### initialize

    void initialize(Serializable id,
                    SessionImplementor session)
                    throws HibernateException

  Initialize the given collection

  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.